> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get annuity contract

> Financial terms and values; no custodian data or attachments. Numbers are masked. Imported annuity terms and parties are read-only except notes. Values use dollars; balances use cents. Party arrays replace submitted roles or accessible annuity parties. Only advisor valuations can be edited.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/annuity_contracts/{id}
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/annuity_contracts/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Annuity Contracts
      summary: Get annuity contract
      description: >-
        Financial terms and values; no custodian data or attachments. Numbers
        are masked. Imported annuity terms and parties are read-only except
        notes. Values use dollars; balances use cents. Party arrays replace
        submitted roles or accessible annuity parties. Only advisor valuations
        can be edited.
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Successful financial resource access
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                additionalProperties: false
                properties:
                  carrier_key:
                    type: string
                    nullable: true
                  carrier_name:
                    type: string
                    nullable: false
                  contract_number:
                    type: string
                    nullable: false
                    description: Masked contract number; the full number is never returned.
                  contract_type:
                    type: string
                    nullable: false
                    enum:
                      - variable_annuity
                      - other_annuity
                  product_code:
                    type: string
                    nullable: true
                  product_name:
                    type: string
                    nullable: true
                  status:
                    type: string
                    nullable: true
                  tax_status:
                    type: string
                    nullable: true
                  established_on:
                    type: string
                    format: date
                    nullable: true
                  issued_on:
                    type: string
                    format: date
                    nullable: true
                  anniversary_on:
                    type: string
                    format: date
                    nullable: true
                  matures_on:
                    type: string
                    format: date
                    nullable: true
                  notes:
                    type: string
                    nullable: true
                  parties:
                    type: array
                    nullable: false
                    items:
                      type: object
                      required:
                        - role
                      properties:
                        role:
                          type: string
                          enum:
                            - owner
                            - joint_owner
                            - annuitant
                            - joint_annuitant
                            - insured
                            - secondary_insured
                            - primary_beneficiary
                            - contingent_beneficiary
                            - other
                        display_name:
                          type: string
                          nullable: true
                        participant_type:
                          type: string
                          enum:
                            - Person
                            - Business
                            - Trust
                          nullable: true
                        participant_id:
                          type: string
                          nullable: true
                        id:
                          type: string
                  id:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  term_authority:
                    type: string
                    enum:
                      - advisor
                      - integration
                  data_provider:
                    type: string
                    nullable: true
                  last_synced_at:
                    type: string
                    format: date-time
                    nullable: true
                  registration_type:
                    type: string
                    nullable: true
                  placements:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          nullable: false
                        book_id:
                          type: string
                          nullable: false
                        household_id:
                          type: string
                          nullable: true
                        business_id:
                          type: string
                          nullable: true
                        trust_id:
                          type: string
                          nullable: true
                        placement_authority:
                          type: string
                          enum:
                            - advisor
                            - integration
                    description: Only placements in accessible books.
                  current_values:
                    type: object
                    additionalProperties:
                      type: object
                      required:
                        - id
                      additionalProperties: false
                      properties:
                        kind:
                          type: string
                          nullable: false
                          enum:
                            - accumulation_value
                            - surrender_value
                            - surrender_charge
                            - death_benefit
                            - premiums_paid_to_date
                            - cash_value
                            - loan_value
                        amount:
                          type: string
                          nullable: true
                          description: Money in dollars as a decimal string.
                        as_of_date:
                          type: string
                          nullable: false
                          format: date
                        id:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        annuity_contract_id:
                          type: string
                        source_kind:
                          type: string
                          enum:
                            - integration
                            - statement
                            - advisor
                  values:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                      additionalProperties: false
                      properties:
                        kind:
                          type: string
                          nullable: false
                          enum:
                            - accumulation_value
                            - surrender_value
                            - surrender_charge
                            - death_benefit
                            - premiums_paid_to_date
                            - cash_value
                            - loan_value
                        amount:
                          type: string
                          nullable: true
                          description: Money in dollars as a decimal string.
                        as_of_date:
                          type: string
                          nullable: false
                          format: date
                        id:
                          type: string
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        annuity_contract_id:
                          type: string
                        source_kind:
                          type: string
                          enum:
                            - integration
                            - statement
                            - advisor
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Forbidden'
      security:
        - bearer: []
components:
  responses:
    BadRequest:
      description: Bad Request - invalid JSON
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            invalid_json:
              value:
                error: invalid_json
                detail: Request body must be valid JSON
    Forbidden:
      description: Forbidden - client not found or user not linked
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            client_not_found:
              value:
                error: client_not_found
                detail: Invalid or inactive client
            user_not_linked:
              value:
                error: user_not_linked
                detail: No matching user for provided token
            principal_book_missing:
              value:
                error: principal_book_missing
                detail: User must have a principal book
            not_authorized:
              value:
                error: not_authorized
                detail: You are not permitted to perform this action
  schemas:
    Error:
      type: object
      required:
        - error
        - detail
      properties:
        error:
          type: string
          description: Error code
        detail:
          type: string
          description: Human-readable error description
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.